name: DC-005_2.0
description: barrel DC power jack
datasheet: https://datasheet.lcsc.com/lcsc/1811051112_BOOMELE-Boom-Precision-Elec-DC-005-2-0_C16214.pdf
keywords: connector, barrel

pinout:
  PIN: 1
  COM: 2
  SWITCH: 3

properties:
  passive: PIN, COM, SWITCH

schematic:
  symbol: connector
  right: PIN, SWITCH, COM

housing:
  pattern: custom
  bodyWidth: 14.2
  bodyLength: 8.8
  height: 10.8

  model: # from /usr/share/kicad/3dmodels/ConnectBarrelJack_Horizontal.step
    file: "library/connector/barrel_dc-005-2.0.step"
    rotation: 0,0,180
    position: -6.5,0,0

  numbers: 1,2
  slotWidth: 0.8
  slotHeight: 3.5
  padWidth: 1.3
  padHeight: 4.0
  padPosition: -6.4, 0, -0.4, 0 # 14.2/2-13.5, 14.2/2-7.5

  numbers1: 3
  slotWidth1: 3.5
  slotHeight1: 0.8
  padWidth1: 4.0
  padHeight1: 1.3
  padPosition1: -3.9, -4.8 # 14.2/2-11.0
